namespace MyOffice.Data.Repositories.Account;

using Models.Accounts;

public interface IAccountCategoryRepository
{
	List<AccountCategory> GetAll(Guid userId);
	bool Add(AccountCategory accountCategory);
	AccountCategory? Get(Guid userId, Guid id);
	bool Update(AccountCategory accountCategory);
	bool Remove(AccountCategory accountCategory);
}